Package org.apache.sysds.runtime.ooc.cache.collections

# Class SegmentedStreamTableList<T>

java.lang.Object
org.apache.sysds.runtime.ooc.cache.collections.SegmentedStreamTableList<T>

public class SegmentedStreamTableList<T> extends Object

## Constructor Summary

Constructors
Constructor
Description
`SegmentedStreamTableList()`
`SegmentedStreamTableList(int segmentSize)`
`SegmentedStreamTableList(int segmentSize, int streamPartitionSize)`

## Method Summary

Modifier and Type
Method
Description
`int`
`capacity()`
`void`
`clear()`
`void`
`forEachLive(IndexedObjectPredicate<? super T> action)`
`void`
`forEachStreamTable(BiConsumer<Integer,MaskedOnceArrayList<T>> action)`
`void`
`forEachVisible(Consumer<? super T> action)`
`MaskedOnceArrayList<T>`
`get(int streamId)`
`MaskedOnceArrayList<T>`
`get(long streamId)`
`MaskedOnceArrayList<T>`
`getOrCreate(int streamId)`
`MaskedOnceArrayList<T>`
`getOrCreate(long streamId)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SegmentedStreamTableList

public SegmentedStreamTableList()

### SegmentedStreamTableList

public SegmentedStreamTableList(int segmentSize)

### SegmentedStreamTableList

public SegmentedStreamTableList(int segmentSize, int streamPartitionSize)

## Method Details

### get

public MaskedOnceArrayList<T> get(int streamId)

### get

public MaskedOnceArrayList<T> get(long streamId)

### getOrCreate

public MaskedOnceArrayList<T> getOrCreate(int streamId)

### getOrCreate

public MaskedOnceArrayList<T> getOrCreate(long streamId)

### capacity

public int capacity()

### forEachLive

public void forEachLive(IndexedObjectPredicate<? super T> action)

### forEachVisible

public void forEachVisible(Consumer<? super T> action)

### forEachStreamTable

public void forEachStreamTable(BiConsumer<Integer,MaskedOnceArrayList<T>> action)

### clear

public void clear()